### Function

# Vips Foreign is_a_source

#### Declaration [src]

    gboolean
    vips_foreign_is_a_source (
      const char* loader,
      VipsSource* source
    )

#### Description [src]

Return `TRUE` if `source` can be loaded by `loader`. `loader` is something like “tiffload_source” or “VipsForeignLoadTiffSource”.

#### Parameters

`loader`

  Type: `const char*`

  Name of loader to use for test.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

`source`

  Type: `VipsSource`

  Source to test.

  The data is owned by the caller of the function.

#### Return value

Type: `gboolean`

`TRUE` if `data` can be loaded by `source`.